## visad.data.units
Class UnitParserTokenManager

    java.lang.Object
      visad.data.units.UnitParserTokenManager

All Implemented Interfaces:
  UnitParserConstants

public class UnitParserTokenManager
extends Object
implements UnitParserConstants

Field Summary
`protected char` `curChar`
`(package private) int` `curLexState`
`PrintStream` `debugStream`
`(package private) int` `defaultLexState`
`protected SimpleCharStream` `input_stream`
`(package private) int` `jjmatchedKind`
`(package private) int` `jjmatchedPos`
`(package private) int` `jjnewStateCnt`
`(package private) static int[]` `jjnextStates`
`(package private) int` `jjround`
`static String[]` `jjstrLiteralImages`
`static String[]` `lexStateNames`

Fields inherited from interface visad.data.units.UnitParserConstants
`DATE, DAY, DECIMAL, DEFAULT, DIGIT, DIVIDE, EOF, EXP, FROM, HOUR, INT, INTEGER, LETTER, MINUTE, MONTH, NAME, REAL, SECOND, SHIFT, SIGN, SINCE, TIME, tokenImage, WHITESPACE, YEAR`

Constructor Summary
`UnitParserTokenManager(SimpleCharStream stream)`
`UnitParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)`
`void` `ReInit(SimpleCharStream stream, int lexState)`
`void` `setDebugStream(PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### UnitParserTokenManager

    public UnitParserTokenManager(SimpleCharStream stream)

### UnitParserTokenManager

    public UnitParserTokenManager(SimpleCharStream stream,
                                  int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()